Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ValueMemberDefOperations

All Superinterfaces:
  ContainedOperations, IRObjectOperations

All Known Subinterfaces:
  ValueMemberDef

All Known Implementing Classes:
  ValueMemberDefPOA

public interface ValueMemberDefOperations
extends ContainedOperations

This interface provides a way to get information about a valuetype member.

Method Summary
`short` | `access()` Return the access visibility for a value member.
`void` | `access(short value)` Return the access visibility for a value member.
`IDLType` | `type_def()` This attribute identifies a value member.
`void` | `type_def(IDLType value)` This attribute identifies a value member.
`TypeCode` | `type()` Return the typecode that descrive the value member

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### type

    public TypeCode type()

  Return the typecode that descrive the value member

### type_def

    public IDLType type_def()

  This attribute identifies a value member.

### type_def

    public void type_def(IDLType value)

  This attribute identifies a value member.

### access

    public short access()

  Return the access visibility for a value member.

### access

    public void access(short value)

  Return the access visibility for a value member.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD